package unit4.utilsLib;
import java.util.Calendar;
import java.util.GregorianCalendar;

/**
 *     '' ( )  ..  
 * 
 * @author   ,   ,  , 
 * @version 26.11.2007
 */
public class Date
{
	private int day;
	private int month;
	private int year;
 
	/**
	 *         
	 */
	public Date() 
	{
		GregorianCalendar today = new GregorianCalendar();
		this.day = today.get(Calendar.DAY_OF_MONTH);
		this.month = today.get(Calendar.MONTH)+1;
		this.year = today.get(Calendar.YEAR);
	}
	
	/**
	 *       .
	 *     
	 * @param day  :    1-31
	 * @param month  :    1-12
	 * @param year  :     4 
	 */
	public Date(int day, int month, int year) 
	{
		this.day = day;
		this.month = month;
		this.year = year;
	}
	
	/**
	 *    
	 * @param date  
	 */
	public Date(Date date) 
	{
		this.day = date.day;
		this.month = date.month;
		this.year = date.year;
	}
	
    /** 
     *      
     * @return    4      
     */
	public int getYear()
	{
		return this.year;
	}
	
	/** 
     *      
     * @return        
     */
	public int getMonth()
	{
		return this.month;
	}
	
	/** 
     *      
     * @return        
     */
	public int getDay()
	{
		return this.day;
	}
	
	/** 
	 *       
	 * @param year     4 
	 */
	public void setYear(int year)
	{
		this.year = year;
	}
	
	/** 
	 *       
	 * @param month     1-12
	 */
	public void setMonth(int month)
	{
		this.month = month;
	}
	
	/** 
	 *       
	 * @param day     1-31
	 */
	public void setDay(int day)
	{
		this.day = day;
	}

	/**
	 *      
	 * @param date   
	 * @return   0   <br/>
	 *          <br/>
	 *          
	 */
	public int compareTo(Date date) 
	{
		if (this.year != date.year)
			return this.year - date.year;
		
		//equals in years
		if (this.month != date.month)
			return this.month - date.month;
        
		//equals also in months
		return this.day - date.day;
	}

	/**
	 *     
	 * @return      : .. 
	 */
	public String toString() 
	{
		return this.day +"." + this.month + "." + this.year;
	}	
}
